Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List contact field definitions

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

GET/v1/contact-fields
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (bh_…).

Responses
200

OK

dataobject[]required
Show properties
Array of object
keystringrequired
labelstringrequired
typestringrequired
requiredbooleanrequired
optionsobject[] | nullrequired
Show properties
Any of:
object[]
Array of object
valuestringrequired
labelstringrequired
null
null
Try it
Server
Authorization
Request
curl -X GET 'https://app.bauhow.com/api/v1/contact-fields' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "key": "string",
      "label": "string",
      "type": "string",
      "required": true,
      "options": [
        {
          "value": "string",
          "label": "string"
        }
      ]
    }
  ]
}

Was this page helpful?